import os
from setuptools import setup, find_packages

with open(os.path.join(os.path.dirname(__file__), 'README.md')) as readme:
    README = readme.read()

# allow setup.py to be run from any path
os.chdir(os.path.normpath(os.path.join(os.path.abspath(__file__), os.pardir)))

setup(
    name='e2transmission',
    version='0.0.1',
    packages=find_packages(),
    package_data={
        "README.md" : ["README.md"]
    },
    include_package_data=True,
    license='MTI License',
    description='service chek email for torrents, and send to transmission',
    long_description=README,
    url='https://github.com/harlov/e2transmission',
    download_url = 'https://github.com/harlov/e2transmission/archive/v0.0.1.tar.gz',
    author='Nikita Harlov',
    author_email='nikita@harlov.com',
    classifiers=[
        'Environment :: Console',
        'Intended Audience :: End Users/Desktop',
        'License :: OSI Approved :: MIT License',
        'Operating System :: OS Independent',
        'Programming Language :: Python',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.2',
        'Programming Language :: Python :: 3.3',
        'Programming Language :: Python :: 3.4',
        'Topic :: Communications :: Email'
    ],

    #для удобства использования , забиндим вызов сервиса на комманду hmakecoffee-cli
    entry_points={'console_scripts': [
        'e2transmission-cli = e2transmission.run:main'
        ],
    },
)
